Subject: Re: [PATCH] i2c-ibm_iic driver bonus patch

From: Arnd Bergmann <[email-masked]>
Date: Tue, 19 Feb 2008 04:27:19 +0100

On Tuesday 19 February 2008, Sean MacLennan wrote:
>  I left in the volatiles, since I don't 
> understand why they where needed. The memory always seems to be access 
> with in_8 and out_8, which are declared volatile. But they could be 
> there to fix a very specific bug.

It's very unlikely that they were really needed, and you certainly
shouldn't mark data as volatile in new code. It's very common to
mark I/O data structures as volatile when they should be __iomem,
because that's what people learn at university, but that is never
the right solution, even if it can hide other bugs in your code.

Of course, unlike the other changes in your patch, it does impact
code generation, so if you want to change it, that should be a
separate patch.

	Arnd <><